#!/home/pi/Documents/PythonProject
#DS18B20_MQTT.py

import time, sys, os
import paho.mqtt.client as mqtt

mqtt_host = "localhost"

#Lecture de la temperature ambiante
def currentTemperature():
	 file = open('/sys/bus/w1/devices/28-0000050a1b22/w1_slave')
	 filecontent = file.read()
	 file.close()
	 temperaturestring = filecontent.split("\n")[1].split(" ")[9]
	 temperaturevalue  = float(temperaturestring[2:])/1000
	 return(temperaturevalue)

def on_connect(client, userdata, flags, rc):
	print("Connected with MQTT-Broker (IP):"+ mqtt_host)

client = mqtt.Client()
client.on_connect = on_connect
client.connect(mqtt_host,1883,60)

client.loop_start()

while True :
	time.sleep(2)
	temperature = currentTemperature()
	print("Temperature : " + str(temperature) + " degC")
	client.publish("/sensor1", temperature)
	
